Subject: Re: [RFC PATCH 2/3] strbuf_commented_addf(): drop the comment_line_char parameter

From: Junio C Hamano <[email-masked]>
Date: Wed, 01 Nov 2023 08:54:19 +0900

Jonathan Tan <[email-masked]> writes:

> Junio C Hamano <[email-masked]> writes:
>> This moving of the helper function does not belong to the "fix
>> commented_addf() not to take the comment_line_char" step.
>> 
>> The series should be restructured to have the two patches from me
>> first, and then your moving some stuff to environment.c, probably.
>
> This means that #include "environment.h" will be added and then removed
> in the same series,

I do prefer it that way, because that is exactly what we are doing.
First we fix the duplicated parameter in the API by relying on the
global, and then we move things around to hide the dependence on the
global.

Thanks.